### Method

# Phosh ScreenshotManager take_screenshot

#### Declaration [src]

    gboolean
    phosh_screenshot_manager_take_screenshot (
      PhoshScreenshotManager* self,
      const GdkRectangle* area,
      const char* filename,
      gboolean copy_to_clipboard,
      gboolean include_cursor
    )

#### Description [src]

Initiate a screenshot of all outputs or the given area. If `copy_to_clipboard` is `TRUE` the screenshot is also copied to the clipboard.

#### Parameters

`area`

  Type: `GdkRectangle`

  The area to capture or `NULL` to capture all outputs.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`filename`

  Type: `const char*`

  The output filename or `NULL` to autogenerate a filename.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`copy_to_clipboard`

  Type: `gboolean`

  Whether to use the clipboard.

`include_cursor`

  Type: `gboolean`

  Whether to include the cursor.

#### Return value

Type: `gboolean`

`FALSE` on failure, otherwise `TRUE`.